<!--
  THIS FILE IS EXCLUSIVELY MAINTAINED IN THE NAMESPACE ROOT PACKAGE. CHANGES HAVE TO BE DONE THERE.
-->
# gui_help portion of ae namespace package

[![GitLabPipeline](https://img.shields.io/gitlab/pipeline/ae-group/ae_gui_help/master?logo=python)](
    https://gitlab.com/ae-group/ae_gui_help)
[![PyPIVersion](https://img.shields.io/pypi/v/ae_gui_help)](
    https://pypi.org/project/ae-gui-help/#history)

>The portions (modules and sub-packages) of the Application Environment for Python are within
the `ae` namespace and are providing helper methods and classes to develop
full-featured applications with Python.

[![Coverage](https://ae-group.gitlab.io/ae_gui_help/coverage.svg)](
    https://ae-group.gitlab.io/ae_gui_help/coverage/ae_gui_help_py.html)
[![MyPyPrecision](https://ae-group.gitlab.io/ae_gui_help/mypy.svg)](
    https://ae-group.gitlab.io/ae_gui_help/lineprecision.txt)
[![PyLintScore](https://ae-group.gitlab.io/ae_gui_help/pylint.svg)](
    https://ae-group.gitlab.io/ae_gui_help/pylint.log)

[![PyPIImplementation](https://img.shields.io/pypi/implementation/ae_gui_help)](
    https://pypi.org/project/ae-gui-help/)
[![PyPIPyVersions](https://img.shields.io/pypi/pyversions/ae_gui_help)](
    https://pypi.org/project/ae-gui-help/)
[![PyPIWheel](https://img.shields.io/pypi/wheel/ae_gui_help)](
    https://pypi.org/project/ae-gui-help/)
[![PyPIFormat](https://img.shields.io/pypi/format/ae_gui_help)](
    https://pypi.org/project/ae-gui-help/)
[![PyPIStatus](https://img.shields.io/pypi/status/ae_gui_help)](
    https://libraries.io/pypi/ae-gui-help)
[![PyPIDownloads](https://img.shields.io/pypi/dm/ae_gui_help)](
    https://pypi.org/project/ae-gui-help/#files)


## installation


execute the following command to use the ae.gui_help sub-package in your
application. it will install ae.gui_help into your python (virtual) environment:
 
```shell script
pip install ae-gui-help
```

if you instead want to contribute to this portion then first fork
[the ae_gui_help repository at GitLab](https://gitlab.com/ae-group/ae_gui_help "ae.gui_help code repository"),
then pull it to your machine and finally execute the following command in the root folder
of this repository (ae_gui_help):

```shell script
pip install -e .[dev]
```

the last command will install this sub-package portion into your virtual environment, along with
the tools you need to develop and run tests or to extend the portion documentation.
to contribute only to the unit tests or to the documentation of this portion replace
the setup extras key `dev` in the above command with `tests` or `docs` respectively.


## namespace portion documentation

more info on the features and usage of this portion are available at
[ReadTheDocs](https://ae.readthedocs.io/en/latest/_autosummary/ae.gui_help.html#module-ae.gui_help
"ae_gui_help documentation").

<!-- common files version 0.2.77 deployed version 0.2.35 (with 0.2.77)
     to https://gitlab.com/ae-group as ae_gui_help sub-package as well as
     to https://ae-group.gitlab.io with CI check results as well as
     to https://pypi.org/project/ae-gui-help as namespace portion ae-gui-help.
-->
